package cat.itb.joanpuigcerver.dam.m03.uf1.generalexam;

public class DarkOrLight {
    public static void main(String[] args) {
        int[][] image = {{41, 236, 146, 91, 139, 121, 164, 221, 213, 0, 139, 122, 92, 3, 208, 255, 179, 43, 69, 162},
                {11, 166, 245, 37, 44, 34, 208, 159, 255, 243, 217, 156, 63, 223, 196, 40, 200, 99, 155, 89},
                {102, 100, 144, 195, 197, 163, 159, 246, 142, 122, 30, 120, 17, 18, 201, 26, 141, 129, 98, 175},
                {7, 129, 64, 160, 110, 217, 70, 91, 80, 222, 134, 77, 51, 83, 192, 227, 190, 186, 57, 51},
                {119, 17, 50, 243, 146, 174, 219, 120, 133, 175, 186, 208, 0, 148, 188, 137, 240, 37, 196, 144},
                {236, 19, 127, 93, 201, 201, 28, 8, 230, 158, 207, 247, 204, 247, 149, 56, 65, 251, 110, 212},
                {205, 138, 184, 99, 49, 180, 72, 161, 175, 229, 251, 6, 90, 83, 20, 49, 227, 120, 201, 117},
                {28, 18, 220, 72, 93, 250, 221, 212, 95, 228, 233, 163, 91, 34, 174, 224, 21, 227, 208, 50},
                {19, 160, 40, 237, 27, 16, 168, 99, 179, 50, 98, 87, 104, 26, 22, 20, 157, 47, 254, 163},
                {151, 55, 134, 154, 218, 152, 114, 96, 16, 119, 194, 25, 55, 213, 239, 17, 253, 241, 14, 98},
                {58, 105, 98, 37, 42, 3, 67, 102, 124, 175, 216, 100, 205, 106, 130, 59, 120, 101, 181, 239},
                {202, 113, 190, 192, 3, 7, 48, 115, 211, 117, 235, 213, 23, 81, 16, 6, 47, 32, 106, 55},
                {97, 25, 237, 123, 104, 60, 67, 33, 103, 125, 40, 38, 145, 187, 231, 234, 173, 208, 63, 78},
                {235, 160, 75, 237, 108, 45, 124, 188, 10, 175, 217, 89, 205, 86, 199, 79, 136, 152, 7, 135},
                {178, 211, 246, 146, 84, 224, 74, 214, 25, 116, 20, 252, 171, 65, 247, 57, 53, 45, 13, 167},
                {84, 121, 149, 250, 32, 23, 135, 226, 185, 86, 126, 130, 203, 198, 253, 94, 187, 169, 233, 69},
                {163, 114, 226, 77, 242, 74, 10, 112, 185, 122, 23, 59, 48, 159, 155, 64, 5, 156, 39, 1},
                {151, 69, 246, 120, 106, 227, 100, 204, 196, 57, 220, 204, 205, 155, 153, 197, 167, 174, 62, 177},
                {107, 222, 0, 147, 174, 20, 134, 123, 0, 57, 230, 171, 231, 11, 113, 80, 34, 144, 241, 244},
                {133, 13, 23, 10, 84, 35, 224, 61, 248, 94, 125, 195, 224, 142, 109, 131, 130, 78, 14, 118}};

        int foscos = 0, clar = 0;
        for (int i = 0; i < image.length; i++) {
            for (int j = 0; j < image[i].length; j++) {
                if(image[i][j] < 128)
                    foscos++;
                else
                    clar++;
            }
        }
        System.out.println( foscos < clar ? "clara" : "fosca");
    }
}
